#include <stdio.h>
#include <stdlib.h>
#include <winb.h>
#include <te.h>
#include <fntb.h>
#include <gui.h>

extern int	echoDialogId ;
extern int	echoOkBtnId ;
extern int	echoOkchk() ;
extern int	echoPlayBtnId ;
extern int	echoPlay() ;
extern int	echoUndoBtnId ;
extern int	echoUndo() ;
extern int	echoInfBtnId ;
extern int	echoInf() ;
extern int	echoCanBtnId ;
extern int	echoCanchk() ;
extern int	echoMesId[32] ;
extern int	echoSubDialogId ;
extern int	echoDelayVolumeId ;
extern int	echoDelaySet() ;
extern int	echoDelayNumId ;
extern int	echoMainMixVolumeId ;
extern int	echoMainMixSet() ;
extern int	echoMainMixNumId ;
extern int	echoDelayMixVolumeId ;
extern int	echoDelayMixSet() ;
extern int	echoDelayMixNumId ;
extern int	echoDecVolumeId ;
extern int	echoDecSet() ;
extern int	echoDecNumId ;
extern int	echoCountNumId ;
extern int	echoAfterNumId ;

#define ALIGN	4
#define OFFSET(type) (sizeof(MMIPACKET) + (sizeof(type)+ALIGN-1)/ALIGN*ALIGN)

/*	MMI_init pf[^	*/

/*	wb_	*/

MMIINIT	initDataIOTECH = { "MmiInit",  49, 0 } ;

/* echoDialogId */

static MMIPACKET d001 = {	&echoDialogId,
							NULL,
							&MJ_DIALOGL40,
							OFFSET(DIALOGL40),
							MS_NONE
						} ;
static DIALOGL40	d001d = {	MS_BTLEFTL40 | MS_EVMOSONL40,
							  42,  56, 599, 425, 8, 4, 8,
							MS_SRECTL40 | MS_UFRAMEL40 | MS_FRAMEL40,
							NULL,   0,   0
						} ;

/* echoOkBtnId */

static MMIPACKET d002 = {	&echoOkBtnId,
							&echoDialogId,
							&MJ_DBUTTONL40,
							OFFSET(DBUTTONL40),
							MS_NONE
						} ;
static DBUTTONL40	d002d = {	MS_BTLEFTL40 | MS_EVMOSOFFL40 | MS_EVKEYONL40,
							  64, 394, 125, 417,12, 4, 8,
							MS_PANELL40 | MS_FRAMEL40,
							echoOkchk,
							0x0000
						} ;

/* echoPlayBtnId */

static MMIPACKET d003 = {	&echoPlayBtnId,
							&echoDialogId,
							&MJ_DBUTTONL40,
							OFFSET(DBUTTONL40),
							MS_NONE
						} ;
static DBUTTONL40	d003d = {	MS_BTLEFTL40 | MS_EVMOSOFFL40 | MS_EVKEYONL40,
							 134, 394, 195, 417, 7, 4, 8,
							MS_PANELL40 | MS_FRAMEL40,
							echoPlay,
							0x0000
						} ;

/* echoUndoBtnId */

static MMIPACKET d004 = {	&echoUndoBtnId,
							&echoDialogId,
							&MJ_DBUTTONL40,
							OFFSET(DBUTTONL40),
							MS_NONE
						} ;
static DBUTTONL40	d004d = {	MS_BTLEFTL40 | MS_EVMOSOFFL40 | MS_EVKEYONL40,
							 204, 394, 265, 417, 7, 4, 8,
							MS_PANELL40 | MS_FRAMEL40,
							echoUndo,
							0x0000
						} ;

/* echoInfBtnId */

static MMIPACKET d005 = {	&echoInfBtnId,
							&echoDialogId,
							&MJ_DBUTTONL40,
							OFFSET(DBUTTONL40),
							MS_NONE
						} ;
static DBUTTONL40	d005d = {	MS_BTLEFTL40 | MS_EVMOSOFFL40 | MS_EVKEYONL40,
							 274, 394, 335, 417, 7, 4, 8,
							MS_PANELL40 | MS_FRAMEL40,
							echoInf,
							0x0000
						} ;

/* echoCanBtnId */

static MMIPACKET d006 = {	&echoCanBtnId,
							&echoDialogId,
							&MJ_DBUTTONL40,
							OFFSET(DBUTTONL40),
							MS_NONE
						} ;
static DBUTTONL40	d006d = {	MS_BTLEFTL40 | MS_EVMOSOFFL40 | MS_EVKEYONL40,
							 516, 394, 577, 417,10, 4, 8,
							MS_PANELL40 | MS_FRAMEL40,
							echoCanchk,
							0x0000
						} ;

/* echoMesId[0] */

static MMIPACKET d007 = {	&echoMesId[0],
							&echoDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d007d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							  74, 397, 117, 414, 8,15, 8,
							MS_NONEL40,
							"  s",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* echoMesId[1] */

static MMIPACKET d008 = {	&echoMesId[1],
							&echoDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d008d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 142, 397, 188, 414, 8,15, 8,
							MS_NONEL40,
							"  ",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* echoMesId[2] */

static MMIPACKET d009 = {	&echoMesId[2],
							&echoDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d009d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 210, 397, 261, 414, 8,15, 8,
							MS_NONEL40,
							"AhD",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* echoMesId[3] */

static MMIPACKET d010 = {	&echoMesId[3],
							&echoDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d010d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 280, 397, 331, 414, 8,15, 8,
							MS_NONEL40,
							"  ",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* echoMesId[4] */

static MMIPACKET d011 = {	&echoMesId[4],
							&echoDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d011d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 524, 397, 570, 414, 8,15, 8,
							MS_NONEL40,
							"  ",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* echoMesId[5] */

static MMIPACKET d012 = {	&echoMesId[5],
							&echoDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d012d = 	{	MS_LEFTL40 | MS_DSPONLYL40,
							  69,  59, 120,  77, 8,15, 8,
							MS_NONEL40,
							"GR[",
							   1,  12,  12,
							MS_BOLDL40,
							   0,   0
						} ;

/* echoSubDialogId */

static MMIPACKET d013 = {	&echoSubDialogId,
							&echoDialogId,
							&MJ_DIALOGL40,
							OFFSET(DIALOGL40),
							MS_NONE
						} ;
static DIALOGL40	d013d = {	MS_BTLEFTL40 | MS_EVMOSONL40 | MS_FIXEDL40,
							  64,  79, 577, 388, 8, 4, 8,
							MS_DFRAMEL40 | MS_FRAMEL40,
							NULL,   0,   0
						} ;

/* echoDelayVolumeId */

static MMIPACKET d014 = {	&echoDelayVolumeId,
							&echoSubDialogId,
							&MJ_SCRLL40,
							OFFSET(SCRLL40),
							MS_NONE
						} ;
static SCRLL40	d014d = 	{	MS_BTLEFTL40 | MS_REPEATL40 | MS_EVMOSONL40 | MS_HORIL40,
							  86, 235, 494, 250, 8, 4, 7,
							MS_PANELL40 | MS_FRAMEL40,
							echoDelaySet,
							  50,   0, 250,   8,   8,
							 265, 266
						} ;

/* echoDelayNumId */

static MMIPACKET d015 = {	&echoDelayNumId,
							&echoSubDialogId,
							&MJ_NUMBOXL40,
							OFFSET(NUMBOXL40),
							MS_NONE
						} ;
static NUMBOXL40	d015d = 	{	MS_BTLEFTL40 | MS_REPEATL40 | MS_EVMOSONL40 | MS_EVKEYONL40 | MS_RIGHTL40,
							 504, 231, 559, 254, 8, 4, 8,
							MS_PANELL40 | MS_DFRAMEL40 | MS_FRAMEL40,
							echoDelaySet,
							   1,  12,  12,
							MS_NONEL40,
							   0,   0,
							 100,   0,9999,   1,   0,
							 263, 264
						} ;

/* echoMainMixVolumeId */

static MMIPACKET d016 = {	&echoMainMixVolumeId,
							&echoSubDialogId,
							&MJ_SCRLL40,
							OFFSET(SCRLL40),
							MS_NONE
						} ;
static SCRLL40	d016d = 	{	MS_BTLEFTL40 | MS_REPEATL40 | MS_EVMOSONL40 | MS_HORIL40,
							 335, 115, 494, 130, 8, 4, 7,
							MS_PANELL40 | MS_FRAMEL40,
							echoMainMixSet,
							 100,   0, 100,   8,   8,
							 265, 266
						} ;

/* echoMainMixNumId */

static MMIPACKET d017 = {	&echoMainMixNumId,
							&echoSubDialogId,
							&MJ_NUMBOXL40,
							OFFSET(NUMBOXL40),
							MS_NONE
						} ;
static NUMBOXL40	d017d = 	{	MS_BTLEFTL40 | MS_REPEATL40 | MS_EVMOSONL40 | MS_EVKEYONL40 | MS_RIGHTL40,
							 504, 111, 559, 134, 8, 4, 8,
							MS_PANELL40 | MS_DFRAMEL40 | MS_FRAMEL40,
							echoMainMixSet,
							   1,  12,  12,
							MS_NONEL40,
							   0,   0,
							 100,   0, 100,   1,   0,
							 263, 264
						} ;

/* echoDelayMixVolumeId */

static MMIPACKET d018 = {	&echoDelayMixVolumeId,
							&echoSubDialogId,
							&MJ_SCRLL40,
							OFFSET(SCRLL40),
							MS_NONE
						} ;
static SCRLL40	d018d = 	{	MS_BTLEFTL40 | MS_REPEATL40 | MS_EVMOSONL40 | MS_HORIL40,
							 335, 149, 494, 164, 8, 4, 7,
							MS_PANELL40 | MS_FRAMEL40,
							echoDelayMixSet,
							  25,   0, 100,   8,   8,
							 265, 266
						} ;

/* echoDelayMixNumId */

static MMIPACKET d019 = {	&echoDelayMixNumId,
							&echoSubDialogId,
							&MJ_NUMBOXL40,
							OFFSET(NUMBOXL40),
							MS_NONE
						} ;
static NUMBOXL40	d019d = 	{	MS_BTLEFTL40 | MS_REPEATL40 | MS_EVMOSONL40 | MS_EVKEYONL40 | MS_RIGHTL40,
							 504, 145, 559, 168, 8, 4, 8,
							MS_PANELL40 | MS_DFRAMEL40 | MS_FRAMEL40,
							echoDelayMixSet,
							   1,  12,  12,
							MS_NONEL40,
							   0,   0,
							  25,   0, 100,   1,   0,
							 263, 264
						} ;

/* echoMesId[6] */

static MMIPACKET d020 = {	&echoMesId[6],
							&echoSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d020d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 247, 186, 334, 201, 0,15, 8,
							MS_NONEL40,
							"fB^C",
							   1,  12,  12,
							MS_BOLDL40,
							   0,   0
						} ;

/* echoMesId[7] */

static MMIPACKET d021 = {	&echoMesId[7],
							&echoSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d021d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 356,  89, 473, 106, 0,15, 8,
							MS_NONEL40,
							"~LVO[g",
							   1,  12,  12,
							MS_BOLDL40,
							   0,   0
						} ;

/* echoMesId[8] */

static MMIPACKET d022 = {	&echoMesId[8],
							&echoSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d022d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 262, 115, 329, 130, 0,15, 8,
							MS_NONEL40,
							"IWi",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* echoMesId[9] */

static MMIPACKET d023 = {	&echoMesId[9],
							&echoSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d023d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 262, 148, 332, 165, 0,15, 8,
							MS_NONEL40,
							"GR[",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* echoMesId[10] */

static MMIPACKET d024 = {	&echoMesId[10],
							&echoSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d024d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 327, 186, 391, 201, 0,15, 8,
							MS_NONEL40,
							"i msec.j",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* echoMesId[11] */

static MMIPACKET d025 = {	&echoMesId[11],
							&echoSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d025d = 	{	MS_LEFTL40 | MS_DSPONLYL40,
							 108, 220, 336, 235, 0,15, 8,
							MS_NONEL40,
							"|     |     |     |     |     |     |",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* echoMesId[12] */

static MMIPACKET d026 = {	&echoMesId[12],
							&echoSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d026d = 	{	MS_LEFTL40 | MS_DSPONLYL40,
							 306, 220, 496, 235, 0,15, 8,
							MS_NONEL40,
							"   |     |     |     |     |",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* echoMesId[13] */

static MMIPACKET d027 = {	&echoMesId[13],
							&echoSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d027d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							  92, 204, 131, 219, 0,15, 8,
							MS_NONEL40,
							"0",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* echoMesId[14] */

static MMIPACKET d028 = {	&echoMesId[14],
							&echoSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d028d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 164, 204, 203, 219, 0,15, 8,
							MS_NONEL40,
							"100",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* echoMesId[15] */

static MMIPACKET d029 = {	&echoMesId[15],
							&echoSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d029d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 236, 204, 275, 219, 0,15, 8,
							MS_NONEL40,
							"200",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* echoMesId[16] */

static MMIPACKET d030 = {	&echoMesId[16],
							&echoSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d030d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 307, 204, 346, 219, 0,15, 8,
							MS_NONEL40,
							"300",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* echoMesId[17] */

static MMIPACKET d031 = {	&echoMesId[17],
							&echoSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d031d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 379, 204, 418, 219, 0,15, 8,
							MS_NONEL40,
							"400",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* echoMesId[18] */

static MMIPACKET d032 = {	&echoMesId[18],
							&echoSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d032d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 452, 204, 491, 219, 0,15, 8,
							MS_NONEL40,
							"500",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* echoMesId[21] */

static MMIPACKET d033 = {	&echoMesId[21],
							&echoSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d033d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							  92, 285, 131, 300, 0,15, 8,
							MS_NONEL40,
							"0",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* echoMesId[22] */

static MMIPACKET d034 = {	&echoMesId[22],
							&echoSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d034d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 164, 285, 203, 300, 0,15, 8,
							MS_NONEL40,
							"20",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* echoMesId[23] */

static MMIPACKET d035 = {	&echoMesId[23],
							&echoSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d035d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 236, 285, 275, 300, 0,15, 8,
							MS_NONEL40,
							"40",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* echoDecVolumeId */

static MMIPACKET d036 = {	&echoDecVolumeId,
							&echoSubDialogId,
							&MJ_SCRLL40,
							OFFSET(SCRLL40),
							MS_NONE
						} ;
static SCRLL40	d036d = 	{	MS_BTLEFTL40 | MS_REPEATL40 | MS_EVMOSONL40 | MS_HORIL40,
							  86, 316, 494, 331, 8, 4, 7,
							MS_PANELL40 | MS_FRAMEL40,
							echoDecSet,
							  50,   0, 100,   1,   8,
							 265, 266
						} ;

/* echoDecNumId */

static MMIPACKET d037 = {	&echoDecNumId,
							&echoSubDialogId,
							&MJ_NUMBOXL40,
							OFFSET(NUMBOXL40),
							MS_NONE
						} ;
static NUMBOXL40	d037d = 	{	MS_BTLEFTL40 | MS_REPEATL40 | MS_EVMOSONL40 | MS_EVKEYONL40 | MS_RIGHTL40,
							 504, 312, 559, 335, 8, 4, 8,
							MS_PANELL40 | MS_DFRAMEL40 | MS_FRAMEL40,
							echoDecSet,
							   1,  12,  12,
							MS_NONEL40,
							   0,   0,
							  50,   0, 100,   1,   0,
							 263, 264
						} ;

/* echoMesId[19] */

static MMIPACKET d038 = {	&echoMesId[19],
							&echoSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d038d = 	{	MS_LEFTL40 | MS_DSPONLYL40,
							 108, 301, 336, 316, 0,15, 8,
							MS_NONEL40,
							"|     |     |     |     |     |     |",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* echoMesId[20] */

static MMIPACKET d039 = {	&echoMesId[20],
							&echoSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d039d = 	{	MS_LEFTL40 | MS_DSPONLYL40,
							 306, 301, 496, 316, 0,15, 8,
							MS_NONEL40,
							"   |     |     |     |     |",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* echoMesId[24] */

static MMIPACKET d040 = {	&echoMesId[24],
							&echoSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d040d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 307, 285, 346, 300, 0,15, 8,
							MS_NONEL40,
							"60",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* echoMesId[25] */

static MMIPACKET d041 = {	&echoMesId[25],
							&echoSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d041d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 380, 285, 419, 300, 0,15, 8,
							MS_NONEL40,
							"80",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* echoMesId[26] */

static MMIPACKET d042 = {	&echoMesId[26],
							&echoSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d042d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 451, 285, 490, 300, 0,15, 8,
							MS_NONEL40,
							"100",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* echoMesId[27] */

static MMIPACKET d043 = {	&echoMesId[27],
							&echoSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d043d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 247, 267, 334, 282, 0,15, 8,
							MS_NONEL40,
							"    ",
							   1,  12,  12,
							MS_BOLDL40,
							   0,   0
						} ;

/* echoMesId[28] */

static MMIPACKET d044 = {	&echoMesId[28],
							&echoSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d044d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 327, 267, 391, 282, 0,15, 8,
							MS_NONEL40,
							"i  j",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* echoCountNumId */

static MMIPACKET d045 = {	&echoCountNumId,
							&echoSubDialogId,
							&MJ_NUMBOXL40,
							OFFSET(NUMBOXL40),
							MS_NONE
						} ;
static NUMBOXL40	d045d = 	{	MS_BTLEFTL40 | MS_REPEATL40 | MS_EVMOSONL40 | MS_EVKEYONL40 | MS_RIGHTL40,
							 198, 349, 253, 372, 8, 4, 8,
							MS_PANELL40 | MS_DFRAMEL40 | MS_FRAMEL40,
							0,
							   1,  12,  12,
							MS_NONEL40,
							   0,   0,
							  10,   0, 100,   1,   0,
							 263, 264
						} ;

/* echoMesId[29] */

static MMIPACKET d046 = {	&echoMesId[29],
							&echoSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d046d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 120, 353, 196, 368, 0,15, 8,
							MS_NONEL40,
							"GR[",
							   1,  12,  12,
							MS_BOLDL40,
							   0,   0
						} ;

/* echoAfterNumId */

static MMIPACKET d047 = {	&echoAfterNumId,
							&echoSubDialogId,
							&MJ_NUMBOXL40,
							OFFSET(NUMBOXL40),
							MS_NONE
						} ;
static NUMBOXL40	d047d = 	{	MS_BTLEFTL40 | MS_REPEATL40 | MS_EVMOSONL40 | MS_EVKEYONL40 | MS_RIGHTL40,
							 417, 349, 472, 372, 8, 4, 8,
							MS_PANELL40 | MS_DFRAMEL40 | MS_FRAMEL40,
							0,
							   1,  12,  12,
							MS_NONEL40,
							   0,   0,
							 200,   0,9999,   1,   0,
							 263, 264
						} ;

/* echoMesId[30] */

static MMIPACKET d048 = {	&echoMesId[30],
							&echoSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d048d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 319, 353, 362, 368, 0,15, 8,
							MS_NONEL40,
							"]C",
							   1,  12,  12,
							MS_BOLDL40,
							   0,   0
						} ;

/* echoMesId[31] */

static MMIPACKET d049 = {	&echoMesId[31],
							&echoSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d049d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 355, 353, 410, 368, 0,15, 8,
							MS_NONEL40,
							"i msec.j",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

